from create_bot import base, cursor

def takeKeys():
    list_dict = []
    for i in cursor.execute(f'SELECT name_paragraph FROM current_text_message').fetchall():
        list_dict.append(i[0])
    return list_dict


def takeKeysPhoto():
    list_dict = []
    for i in cursor.execute(f'SELECT distinct name_paragraph FROM images').fetchall():
        list_dict.append(i[0])
    return list_dict


def choseCurrentPhoto(name_paragraph):
    list_dict = []
    for i in cursor.execute(f'SELECT name from images WHERE name_paragraph = "{name_paragraph}"').fetchall():
        list_dict.append(i[0])
    return list_dict



def formatter(s):
    return s.replace("\\n", "\n").replace("\\t", "\t")


def requestsText(name):
    ls = list(cursor.execute(f'SELECT text from current_text_message WHERE name_paragraph = "{name}"').fetchall()[0])
    return formatter(ls[0])


def changeText(name, text):
    cursor.execute(f"UPDATE current_text_message set text = '{text}' WHERE name_paragraph = '{name}'")
    base.commit()


def rollbackText(name, text):
    for i in cursor.execute('SELECT * FROM text_message').fetchall():
        cursor.execute(f'UPDATE current_text_message SET text = {i[1]} WHERE name_paragraph = {i[0]}')
        base.commit()


def insertPhoto(id_photo,name_paragraph, name):
    cursor.execute(f"INSERT INTO images VALUES('{id_photo}', '{name_paragraph}', '{name}')")
    base.commit()


def updatePhoto(id_photo, name_paragraph, name):
    cursor.execute(f'UPDATE images SET id_image = "{id_photo}" WHERE name_paragraph = "{name_paragraph}" and name = "{name}"')
    base.commit()


def haveOrNot(name_paragraph):
    if not cursor.execute(f'SELECT * FROM images WHERE name_paragraph = "{name_paragraph}"').fetchall():
        return True
    return False


def takePhoto(name_paragraph):
    dict_lst = {}
    for i in cursor.execute(f'SELECT name, id_image from images WHERE name_paragraph = "{name_paragraph}"').fetchall():
        dict_lst[i[0]] = i[1]
    return dict_lst


dict_list = {'Показать документы': 'Бланк констатации смерти',
             'Что делать с телом?': 'Передача тела в морг\n\n'
                         'Затем тело нужно доставить в морг. Обычно вызов делают врачи. Но, если этого не произошло, вы можете позвонить по телефонам:\n\n'
                         '(999) 123-45-67 - Первая контора\n'
                         '(999) 678-90-12 - Вторая контора\n\n'
                         'Бригаде нужно отдать бланк констатации смерти и протокол осмотра тела. '
                         'Эти документы требуются в морге. Транспортировка тела до морга — бесплатная.'
                         '\n\n'
                         'Если человек умер в больнице, медицинские работники констатируют смерть и отправляют тело в морг самостоятельно. '
                         'Они обязаны позвонить родственникам и сообщить, в каком морге находится умерший.',
             'Морг': 'В морге производят:\n'
                         '– патологоанатомическое вскрытие или судебно-медицинское исследование;\n'
                         '– подготовку тела к погребению: сотрудники одевают, гримируют, бальзамируют и укладывают тело в гроб.\n\n'
                         'Вам нужно будет принести в морг одежду для умершего и некоторые другие принадлежности. Точный список уточняйте в морге.\n'
                         '\n\nТело могут забрать из морга только родственники умершего (или их представители по нотариально удостоверенной доверенности). Н'
                         'ужно предъявить документ, удостоверяющий личность, и документ, подтверждающий родство. '
                         '\n\nСотрудники морга выдают родственникам умершего медицинское свидетельство о смерти. '
                         'Реже документ выдается частнопрактикующим врачом или в районной поликлинике '
                         '(если умерший обращался в медицинское учреждение не более чем за 10 дней до смерти и диагноз заболевания не вызывает сомнений).'
                         '\n\nНе перепутайте медицинское свидетельство о смерти с документом о констатации смерти, '
                         'который выдается сотрудниками скорой помощи или участковым врачом в тот момент, когда фиксируется факт смерти.\n\n'
                         'В случае смерти ребенка на первой неделе жизни оформляется медицинское свидетельство о перинатальной смерти. '
                         'Его выдает медицинская организация, в которой проходили роды, либо в которую обращалась мать после родов.'
                         'Без медицинского свидетельства невозможно зарегистрировать смерть в органах ЗАГС.',
             'Регистрация в ЗАГС': 'Сообщить о смерти в органы ЗАГС может любой человек, осведомленный о смерти и имеющий на руках медицинское свидетельство о смерти.\n'
                         'После регистрации смерти выдаются свидетельство о смерти и справка по форме №11.\n\n'
                         'В случае смерти ребенка на первой неделе жизни, прежде чем оформить свидетельство о смерти, придется оформить свидетельство о рождении. \n'
                         'Если ребенок умер при родах, свидетельства о рождении и смерти оформлять не надо.\n'
                         'Вместо этого в органах ЗАГС нужно получить справку о рождении мертвого ребенка (форма №3).\n\n'
                         'Без свидетельства о смерти невозможно захоронить умершего на московском кладбище или кремировать в московском крематории: документ является обязательным. \n'
                         'Без справки по форме №11 невозможно оформить безвозмездные похороны или социальные выплаты на погребение.',
             'Похороны': 'Для погребения вам необходимо будет организовать:\n\n'
                         '– перевозку тела (останков) умершего на кладбище (в крематорий);\n'
                         '– кремацию (в случае если необходима кремация);\n'
                         '– рытье могилы для гроба или урны с прахом;\n'
                         '– работы по захоронению;\n'
                         '– установку регистрационного знака с надписью.\n\n'
                         'После похорон не забудьте получить пособие на погребение.\n'
                         'Всем этим занимаются похоронные службы и другие хозяйствующие субъекты. '
                         'Для оформления заказа вы можете обратиться лично либо вызвать агента по удобному вам адресу. '
                         'При оформлении ритуальных услуг похоронная служба должна оформить договор и выдать кассовый чек.'}